Holger's Java API

## com.antelmann.db
Class DBStoreProfiler.ProfileModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.antelmann.db.DBStoreProfiler.ProfileModel

All Implemented Interfaces:
  TableCustomizer, Serializable, TableModel

Enclosing class:
  DBStoreProfiler

    public static class DBStoreProfiler.ProfileModel

extends AbstractTableModel
implements TableCustomizer

the profile model is a read-only snapshot of the given profile.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`DBStoreProfiler.ProfileModel(DBStoreProfiler profiler)`

Method Summary
`void` `applyStyle(JTable table)`
`Class<?>` `getColumnClass(int column)`
`int` `getColumnCount()`
`String` `getColumnName(int column)`
`int` `getRowCount()`
`Object` `getValueAt(int row, int column)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBStoreProfiler.ProfileModel

    public DBStoreProfiler.ProfileModel(DBStoreProfiler profiler)

Method Detail

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getColumnClass

    public Class<?> getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getValueAt

    public Object getValueAt(int row,
                             int column)

  Specified by:
    `getValueAt` in interface `TableModel`

### applyStyle

    public void applyStyle(JTable table)
                    throws IllegalArgumentException

  Specified by:
    `applyStyle` in interface `TableCustomizer`
  Throws:
    `IllegalArgumentException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads